#ifndef SYNCMLURI_H
#define SYNCMLURI_H

//
// Most of functions of this class have two versions: Qt and STL.
// Of course, this is only temporary and will disapear as soon as
// STL versions are not used anymore.
class SMLURI {
 protected:
  string LocURI;
  string LocName;
  SMLURI *base;
 public:
  SMLURI(std::string uri, std::string name="", SMLURI *u=NULL) {
    setBase(u);
    setLocURI(uri);
    setLocName(name);
  }
  
  SMLURI(const QString & uri="", const QString & name="", SMLURI *u=NULL) {
	  setBase(u);
	  setLocURI(uri);
	  setLocName(name);
  }
  
  SMLURI(SMLURI &other) { setURI(other); }
  SMLURI(SMLTreeNode *t, SMLURI *u=NULL);
  
  string getAbsoluteLocURI() const;
  QString getQAbsoluteLocURI() const;
  string getLocURI(bool addSlash = true) const;
  QString getQLocURI(bool addSlash = true) const;
  
  
  void setLocURI(string s);
  void setLocURI(const QString & s);
  
  string getLocName() { return LocName; }
  QString getQLocName() { return QString(LocName.c_str()); }
  
  
  void setLocName(string s) { LocName=s; }
  void setLocName(const QString & s) { LocName=s.ascii(); }
  
  SMLURI *getBase() { return base; }
  void setBase(SMLURI *u);
  void addBase(SMLURI *u);
  void setURI (SMLURI &other) {
    setBase(other.base);
    setLocURI(other.LocURI);
    setLocName(other.LocName);
  } 
  void setURI (SMLURI *other) {
    if (other==0) return;
    setBase(other->base);
    setLocURI(other->LocURI);
    setLocName(other->LocName);
  } 
  void addToNode(SMLTreeNode *t, bool addSlash = true);
  void addDirectlyToNode(SMLTreeNode *t, bool addSlash = true);
};


#endif


