/***************************************************************************
                                 libSyncML
           Implementation of the SyncML protocol (www.syncml.org)
         Copyright (C) 2001, 2002 by Max Berger <max.berger@xslt.de>
 **************************************************************************/

/***************************************************************************
 *                                                                         *
 *  This library is free software; you can redistribute it and/or          *
 *  modify it under the terms of the GNU Lesser General Public             *
 *  License as published by the Free Software Foundation; either           *
 *  version 2.1 of the License, or (at your option) any later              *
 *  version.                                                               *
 *                                                                         *
 *  This library is distributed in the hope that it will be useful,        *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of         *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU      *
 *  Lesser General Public License for more details.                        *
 *                                                                         *
 *  You should have received a copy of the GNU Lesser General Public       *
 *  License along with this library; if not, write to the Free             *
 *  Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA      *
 *  02111-1307 USA                                                         *
 *                                                                         *
 ***************************************************************************/

#ifndef __NAMESPACE_H
#define __NAMESPACE_H

#include <qstring.h>
#include "syncml.h"

class SMLNamespaceContainer {
 private:
  map<string,SMLTokenSpaceType> namespaceCode;
  map<SMLTokenSpaceType,string> namespaceName;
  SMLTokenSpaceType nextNamespace;
 public:
  SMLNamespaceContainer(SMLVersion syncmlVersion);
  ~SMLNamespaceContainer();
  SMLTokenSpaceType addNewNamespace(QString s, SMLTokenSpaceType asNr=0);
  string getSyncMLStringForNamespace(SMLTokenSpaceType space);
};


#endif
